package javax.xml.stream;

import javax.xml.namespace.NamespaceContext;
import javax.xml.stream.events.XMLEvent;
import javax.xml.stream.util.XMLEventConsumer;

public interface XMLEventWriter extends XMLEventConsumer
{
    public abstract void flush() throws XMLStreamException;
    
    public abstract void close() throws XMLStreamException;
    
    public abstract void add(XMLEvent p0) throws XMLStreamException;
    
    public abstract void add(XMLEventReader p0) throws XMLStreamException;
    
    public abstract String getPrefix(String p0) throws XMLStreamException;
    
    public abstract void setPrefix(String p0, String p1) throws XMLStreamException;
    
    public abstract void setDefaultNamespace(String p0) throws XMLStreamException;
    
    public abstract void setNamespaceContext(NamespaceContext p0) throws XMLStreamException;
    
    public abstract NamespaceContext getNamespaceContext();
}
